package com.usky.iot.service;

import com.usky.iot.domain.PmWorkContent;
import com.usky.iot.domain.PmWorkReport;
import com.usky.common.mybatis.core.CrudService;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 工作报告表 服务类
 * </p>
 *
 * @author fu
 * @since 2024-05-20
 */
public interface PmWorkReportService extends CrudService<PmWorkReport> {

    /**
     * 获取时间内工作报告
     * @param startDate 开始时间
     * @param endDate 结束时间
     * @param reportId 报告id
     * @return
     */
    List<PmWorkReport> weekWork(String startDate, String endDate, Integer reportId);

    /**
     * 新增、编辑工作报告
     * @param pmWorkReport 工作报告
     */
    void addReport(PmWorkReport pmWorkReport);
}
